Subject: [PATCH v8 5/6] arm64: add support for ACPI Low Power Idle(LPI)

From: [email-masked] (Sudeep Holla)
Date: Fri, 8 Jul 2016 16:21:51 +0100

On 08/07/16 15:47, Lorenzo Pieralisi wrote:
> On Thu, Jul 07, 2016 at 06:10:50PM +0100, Sudeep Holla wrote:
>> This patch adds appropriate callbacks to support ACPI Low Power Idle
>> (LPI) on ARM64.
>>
>> Cc: Lorenzo Pieralisi <[email-masked]>
>> Cc: Mark Rutland <[email-masked]>
>> Cc: Daniel Lezcano <[email-masked]>
>> Cc: "Rafael J. Wysocki" <[email-masked]>
>> Signed-off-by: Sudeep Holla <[email-masked]>
>> ---
>>   arch/arm64/kernel/cpuidle.c |  18 +++++++
>>   drivers/firmware/psci.c     | 122 ++++++++++++++++++++++++++++++++++++--------
>
> I would split this patch in two (ARM64 cpuidle and PSCI)

Agreed, I combined it to get it functional in one go, but until we have
6/6, it won't work. So better to split that changes.

> and for
> the PSCI code (apologies, blame taken, it is entirely my fault) I
> think that the code in v6 was better, I asked you to factor out
> DT/ACPI idle states count and parameter retrieval but the end result
> is much more complicated than what it was in v6, so for PSCI ACPI
> idle states parsing I would revert to v6, apologies.
>

Yes I agree it got bit complicated. I will revert back to v6 for that part.

> With changes above:
>
> Acked-by: Lorenzo Pieralisi <[email-masked]>
>

Thanks

-- 
Regards,
Sudeep